Browse the organization's media library (staff)
GET /api/assets. Browse the organization's media library (staff). Headless LMS Assets API reference.
Staff only (owner, admin, instructor). Library files by default; source: member lists members' uploads.
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20search?string
Length
length <= 200sort?string
kind?string
The media class, derived by the server from the content type.
Value in
- "image"
- "video"
- "audio"
- "document"
source?string
Defaults to library.
Value in
- "library"
- "member"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/assets"{ "rows": [ { "orgId": "string", "id": "string", "kind": "image", "source": "library", "filename": "string", "contentType": "string", "size": 0, "status": "pending", "uploadedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "url": "string", "downloadUrl": "string" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}